Noitom Hi5 Unity SDK: HI5.HI5_GloveStatus Class Reference

| Noitom Hi5 Unity SDK Hi5_Unity_SDK_API_1_0_0_655_17 The SDK for Using Noitom Hi5 Glove in Unity Engine.

Public Member Functions | Public Attributes | Static Public Attributes | Properties | List of all members
HI5.HI5_GloveStatus Class Reference

Manage all the status of HI5 glove. More...

## Public Member Functions

void | StartCalibrationBpos ()
bool | isGloveBPosSuccess ()
| Get the Calibration Bpos Result. More...
PowerLevel | GetPowerLevel (Hand handType)
| Get the power level of left/right glove. More...
MagneticStatus | GetMagneticState (Hand handType)
| Get the magnetic field status of left/right glove. More...
bool | IsGloveAvailable (Hand handType)
| Check whether left/right glove is available More...
void | MainThreadUpdate ()

## Public Attributes

Action< GloveStatus > | OnStatusChanged
| Call when glove connecting status changed. More...

## Static Public Attributes

static object | _lockercurrentStatus = new object()

## Properties

PowerLevel | LeftPower`[get]`
| The power level of left glove. More...
PowerLevel | RightPower`[get]`
| The power level of right glove. More...
MagneticStatus | LeftMagneticStatus`[get]`
| The magnetic field status around left glove. More...
MagneticStatus | RightMagneticStatus`[get]`
| The magnetic field status around right glove. More...
bool | IsLeftGloveAvailable`[get]`
| Check whether the left glove is available. More...
bool | IsRightGloveAvailable`[get]`
| Check whether the right glove is available. More...
GloveStatus | Status`[get]`
| Get the current glove status. More...
bool | IsCalibrationBposSuccess`[get, set]`
| /// More...
bool | BposReceiveResult`[get, set]`
BPoseCalibrationErrors | BposErr`[get, set]`

## Detailed Description

Manage all the status of HI5 glove.

## Member Function Documentation

## ◆ GetMagneticState()

MagneticStatus HI5.HI5_GloveStatus.GetMagneticState | ( | Hand | handType | ) |

Get the magnetic field status of left/right glove.

Parameters

  handType | The type of HI5.Hand.

Returns
  The related magnetic field status of left/right glove.

## ◆ GetPowerLevel()

PowerLevel HI5.HI5_GloveStatus.GetPowerLevel | ( | Hand | handType | ) |

Get the power level of left/right glove.

Parameters

  handType | The type of HI5.Hand.

Returns
  The related power level of left/right glove.

## ◆ IsGloveAvailable()

bool HI5.HI5_GloveStatus.IsGloveAvailable | ( | Hand | handType | ) |

Check whether left/right glove is available

Parameters

  handType | The type of HI5.Hand.

Returns
  True, the specific glove is available. False, the specific glove is inavailable.

## ◆ isGloveBPosSuccess()

bool HI5.HI5_GloveStatus.isGloveBPosSuccess | ( |  | ) |

Get the Calibration Bpos Result.

## ◆ MainThreadUpdate()

void HI5.HI5_GloveStatus.MainThreadUpdate | ( |  | ) |

## Member Data Documentation

## ◆ OnStatusChanged

Action<GloveStatus> HI5.HI5_GloveStatus.OnStatusChanged

Call when glove connecting status changed.

## Property Documentation

## ◆ IsCalibrationBposSuccess

bool HI5.HI5_GloveStatus.IsCalibrationBposSuccess

getset

///

Get the Calibration Bpos Result.

## ◆ IsLeftGloveAvailable

bool HI5.HI5_GloveStatus.IsLeftGloveAvailable

get

Check whether the left glove is available.

## ◆ IsRightGloveAvailable

bool HI5.HI5_GloveStatus.IsRightGloveAvailable

get

Check whether the right glove is available.

## ◆ LeftMagneticStatus

MagneticStatus HI5.HI5_GloveStatus.LeftMagneticStatus

get

The magnetic field status around left glove.

## ◆ LeftPower

PowerLevel HI5.HI5_GloveStatus.LeftPower

get

The power level of left glove.

## ◆ RightMagneticStatus

MagneticStatus HI5.HI5_GloveStatus.RightMagneticStatus

get

The magnetic field status around right glove.

## ◆ RightPower

PowerLevel HI5.HI5_GloveStatus.RightPower

get

The power level of right glove.

## ◆ Status

GloveStatus HI5.HI5_GloveStatus.Status

get

Get the current glove status.